playerc_map_t Struct Reference
map

Map proxy data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
double | resolution
| Map resolution, m/cell.
int | width
| Map size, in cells.
int | height
double | origin [2]
| Map origin, in meters (i.e., the real-world coordinates of cell 0,0)
char * | cells
| Occupancy for each cell (empty = -1, unknown = 0, occupied = +1)
double | vminx
| Vector-based version of the map (call playerc_map_get_vector() to fill this in). More...
double | vminy
double | vmaxx
double | vmaxy
int | num_segments
player_segment_t * | segments

## Detailed Description

Map proxy data.

## Member Data Documentation

playerc_device_t playerc_map_t::info

Device info; must be at the start of all device structures.

double playerc_map_t::vminx

Vector-based version of the map (call playerc_map_get_vector() to fill this in).

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45